$(document).ready ( function () {


// Погода -----------------------------

var weather_first_run = true
function print_weather ( el ) {
    if ( weather_first_run ) {
        weather_first_run = false
        $('.tpl-weather').append('<div class="яW"></div>')
     } else $('.яW').append('<div class="яS"></div>')
    
    var tMin = el.find('TEMPERATURE').attr('min')
    if ( tMin > 0 ) tMin = '+'+tMin
    var tMax = el.find('TEMPERATURE').attr('max')
    if ( tMax > 0 ) tMax = '+'+tMax
    var t = tMin+'...'+tMax+'&deg;C'
    
    var pMin = el.find('PRESSURE').attr('min')
    var pMax = parseInt(el.find('PRESSURE').attr('max'))+1
    var p = pMin+'-'+pMax+' мм'
    
    var directions = ['с','св','в','юв','ю','юз','з','сз']
    var wDir = el.find('WIND').attr('direction')
    var wMin = el.find('WIND').attr('min')
    var wMax = el.find('WIND').attr('max')
    var w = directions[wDir]+', '+wMin+'-'+wMax+'м/с'
     
    $('.яW').append('<div class="яWI">'+t+'<br/><span class="яSmall">'+p+' '+w+'</span></div>')
    $('.яWI:last').append('<div class="'+(el.attr('tod')==0?'яWInight':'яWIday')+'"></div>')
     if ( el.find('PHENOMENA').attr('cloudiness') > 1 )  $('.яWI:last').append('<div class="яWIcloud"></div>')
    if ( el.find('PHENOMENA').attr('precipitation') == 8 || el.find('PHENOMENA').attr('spower') == 1 )
         $('.яWI:last').append('<div class="яWIlightning'+(el.attr('tod')==0?'N':'D')+'"></div>')
    if ( el.find('PHENOMENA').attr('precipitation') <= 5 )
         $('.яWI:last').append('<div class="яWI'+(true||el.find('PHENOMENA').attr('precipitation')==5?'havyRain':'rain')+'"></div>')
}

 jQuery.ajax ( '/weather.xml', { dataType: 'xml', success: function ( xml ) {
    jQuery(xml).find('FORECAST').each( function () {
        if ( $(this).attr('tod') == 0 || $(this).attr('tod') == 2 ) print_weather($(this))
     } )
} } )

// EOF погода -------------------------

// события первого уровня меню
var limouseover = function () {
	var li = $(this)
	li.css('background', 'url("../images/menu_arrow.png") no-repeat scroll 225px 3px #173d7e')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout = function () {
	var li = $(this)
	li.css('background', 'url("../images/menu_arrow.png") no-repeat scroll 225px 3px transparent')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

var limouseover_d = function () {
	var li = $(this)
	li.css('background', 'url("../images/menu_devider.png") no-repeat scroll 0px 0px transparent')
}
var limouseout_d = function () {
	var li = $(this)
	li.css('background', 'url("../images/menu_devider.png") no-repeat scroll 0px 0px transparent')
}

$('.tpl-menu > ul > li').bind ( 'mouseover', limouseover )
$('.tpl-menu > ul > li').bind ( 'mouseout', limouseout )
$('.tpl-menu > ul > li.devider').bind ( 'mouseover', limouseover_d )
$('.tpl-menu > ul > li.devider').bind ( 'mouseout', limouseout_d )

// события второго уровня меню

var limouseover2 = function () {
	var li = $(this)
	li.css('background', '#0e2751')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout2 = function () {
	var li = $(this)
	if ( li.prev().length ) li.css('background', 'transparent')
		else li.css('background', '#173d7e')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

$('.tpl-menu > ul > li > ul > li').bind ( 'mouseover', limouseover2 )
$('.tpl-menu > ul > li > ul > li').bind ( 'mouseout', limouseout2 )


// события третьего уровня меню

var limouseover3 = function () {
	var li = $(this)
	li.css('background', '#0e2751')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'visible' )
}

var limouseout3 = function () {
	var li = $(this)
	if ( li.prev().length ) li.css('background', 'transparent')
		else li.css('background', '#173d7e')
	var ul = li.children('ul:first')
	if ( ! ul.length ) return
	ul.css ( 'visibility', 'hidden' )
}

$('.tpl-menu > ul > li > ul > li > ul > li').bind ( 'mouseover', limouseover3 )
$('.tpl-menu > ul > li > ul > li > ul > li').bind ( 'mouseout', limouseout3 )
	
/* Версия для слабовидящих */
$('#check_look').bind('click', function() {
	if ($.cookie('disabled-people')){ $.cookie('disabled-people', null, {path:'/'}); } else { $.cookie('disabled-people', true, {expires: 7, path:'/'}); }
	location.reload(true);
})
	

//Дата	
var now = new Date(), days = ['вс','пн','вт','ср','чт','пт','сб'], months = ['января','февраля','марта','апреля','мая','июня','июля','августа','сентября','октября','ноября','декабря']
if (now.getDate()<10) { day = '0'+now.getDate() }else{ day = now.getDate() }
if ((now.getMonth()+1)<10) { month = '0'+(now.getMonth()+1) }else{ month = (now.getMonth()+1) }
$('.Day').html('<span>'+day+'.'+month+'.'+now.getFullYear()+'</span>')


$('.tmpl-saveus').bind('click', function () { saveus() } )
 
$('.srch').bind('click', function() {
		$(this).parent('form').submit()
	} )    	
	
} )

/* Горизонтальное меню */
$(function(){
    $("ul.dropdown li").hover(function(){
        $(this).addClass("hover");
        $('ul:first',this).css('visibility', 'visible');
    }, function(){
        $(this).removeClass("hover");
        $('ul:first',this).css('visibility', 'hidden');
    });
    $("ul.dropdown li ul li:has(ul)").find("a:first").append(" &raquo; ");
});
